typedef vec4 myvec4;
typedef mat4x4 mymat4;

uniform mymat4 mvp;

#pragma MSP stage(vertex)
layout(location=0) in myvec4 position;
void main()
{
	gl_Position = mvp*position;
}

/* Expected output: vertex
layout(location=0) uniform mat4 mvp;
layout(location=0) in vec4 position;
void main()
{
	gl_Position = mvp*position;
}
*/
